<template>
  <div class="padding-left:10px">
    <el-popconfirm title="确定删除当前数据吗？" @confirm="deleteRow()">
      <i class="el-icon-delete" slot="reference"></i>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props: ['id'],
  methods: {
    async deleteRow() {
      let res = await this.$api.requested({
          "id": "20220922110503",
          "version":1,
          "content": {
              "itemclassid":this.id
          }
      })

      console.log(res);
      this.tool.showMessage(res,() => {
        this.$emit('deleteSuccess')
      })
    },
  }
}

</script>
